|  | Home | Documentation | SOAP_ENV__Detail Struct Reference updated by Robert van Engelen |

SOAP_ENV__Detail Struct Reference

`#include <addressStub.h>`

## Public Member Functions

long | soap_type () const
| SOAP_ENV__Detail ()

## Public Attributes

char * | __any
int | __type
void * | fault

## Friends

SOAP_FMAC1 SOAP_ENV__Detail *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Detail (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 202 of file addressStub.h.

## Constructor & Destructor Documentation

## ◆ SOAP_ENV__Detail()

SOAP_ENV__Detail::SOAP_ENV__Detail | ( |  | ) |

inline

Constructor with member initializations

Definition at line 213 of file addressStub.h.

## Member Function Documentation

## ◆ soap_type()

long SOAP_ENV__Detail::soap_type | ( |  | ) | const

inline

Return unique type id SOAP_TYPE_SOAP_ENV__Detail

Definition at line 211 of file addressStub.h.

## Friends And Related Symbol Documentation

## ◆ address_instantiate_SOAP_ENV__Detail

SOAP_FMAC1 SOAP_ENV__Detail *SOAP_FMAC2 address_instantiate_SOAP_ENV__Detail | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * | )

friend

Friend allocator

## Member Data Documentation

## ◆ __any

char* SOAP_ENV__Detail::__any

Definition at line 204 of file addressStub.h.

## ◆ __type

int SOAP_ENV__Detail::__type

Any type of element 'fault' assigned to fault with its SOAP_TYPE_<typename> assigned to __type Do not create a cyclic data structure through this member unless SOAP encoding or SOAP_XML_GRAPH are used for id-ref serialization

Definition at line 207 of file addressStub.h.

## ◆ fault

void* SOAP_ENV__Detail::fault

Definition at line 208 of file addressStub.h.

The documentation for this struct was generated from the following file:

- addressStub.h